/v1/spaces/{space_id}/threads/{thread_id}/messages| Name | Type | Required | Description |
|---|---|---|---|
space_id | string (uuid) | Required | |
thread_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
Idempotency-Key | string | Optional | |
X-API-Key | string | Optional |
contentstringRequiredrolestringmetadataobjectparent_message_idobjectbranch_idobjectX-API-Key: ak.<key_id>.<secret>Authentication & errors →curl -X POST '/api/v1/spaces/{space_id}/threads/{thread_id}/messages' \
-H 'X-API-Key: ak.<key_id>.<secret>' \
-H 'Content-Type: application/json' \
-d '{
"content": "string",
"role": "user",
"metadata": {},
"parent_message_id": {},
"branch_id": {}
}'No response body documented
X-API-Key: ak.<key_id>.<secret>Authentication & errors →curl -X POST '/api/v1/spaces/{space_id}/threads/{thread_id}/messages' \
-H 'X-API-Key: ak.<key_id>.<secret>' \
-H 'Content-Type: application/json' \
-d '{
"content": "string",
"role": "user",
"metadata": {},
"parent_message_id": {},
"branch_id": {}
}'No response body documented